Subject: Re: [PATCH 3/9] PKT_SCHED: u32: make use of tcf_exts API

From: Thomas Graf <[email-masked]>
Date: Fri, 31 Dec 2004 13:03:44 +0100

* jamal <[email-masked]> 2004-12-30 23:43
> On Thu, 2004-12-30 at 07:31, Thomas Graf wrote:
> 
> >  
> > +static struct tcf_ext_map u32_ext_map = {
> > +	.action = TCA_U32_ACT,
> > +	.police = TCA_U32_POLICE
> > +};
> 
> Repeated on all classifiers - perhaps a little macro magic in order? ;->

I thought about this but couldn't come up with one that makes it
actually easier. I don't want to hardcode action/police in a macro
because we might have extensions only needed for specific classifiers.

> Generally rest all looking good - I need to stare some more at the route
> and tcindex one but dont see any show stoppers off hand;

Yes please, those are the critical points.